%define upstream_name    Test-HTML-Recursive-DeprecatedTags
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check HTML files for deprecated tags
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Test::HTML::Tidy::Recursive)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a subclass of the Test::HTML::Tidy::Recursive manpage so more
information can be found there.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 21 2020 tv <tv> 0.0.2-1.mga8
+ Revision: 1637435
- update to 0.0.2

* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-3.mga8
+ Revision: 1506409
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.1-2.mga7
+ Revision: 1286660
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1176566
- imported package perl-Test-HTML-Recursive-DeprecatedTags

